# declared static method

Constructor declared(

1. ConstructorDeclaration declaration,
2. ProtectionDomain domain

)

Creates a Constructor instance from reflection metadata.

Parameters:

- `declaration`: The constructor reflection metadata
- `domain`: The protection domain for security

Returns:

- A concrete Constructor implementation

Typical implementation:

    static Constructor declared(ConstructorDeclaration d, ProtectionDomain p) {
      return _ConstructorImpl(d, p);
    }

## Implementation

    static Constructor declared(ConstructorDeclaration declaration, ProtectionDomain domain) {
      return _Constructor(declaration, domain);
    }